الذكاء المنصاتي API
ريديت API
تخدم Reddit حوالي 121 مليون مستخدم نشط يوميًا عبر المنتديات والمواضيع والمشاركات النصية والروابط والصور والتعليقات، مما يجعلها مهمة لرؤية المجتمع، وتتبع السمعة، والحصول على تعليقات حول المنتج، واكتشاف المجالات المتخصصة.
مرجع API الإصدار: 1.0.0 14 نقاط النهاية المصادقة
عنوان URL الأساسي
https://api.pressmonitor.com/reddit/v1 المصادقة
تستخدم جميع الطلبات مصادقة رمز Bearer. أضف رأس Authorization إلى كل استدعاء.
Authorization: Bearer YOUR_TOKEN GET
/get-cursor الحصول على مؤشر التصفح
Get Cursor
أمثلة الشيفرة
curl --request GET \ --url https://api.pressmonitor.com/reddit/v1/get-cursor const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/reddit/v1/get-cursor", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/reddit/v1/get-cursor" response = requests.request("GET", url) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/reddit/v1/get-cursor", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/reddit/v1/get-cursor") .get() .build(); Response response = client.newCall(request).execute(); الردود
200 نجاح
GET
/new-subreddits المجتمعات الفرعية الجديدة
New Subreddits
أمثلة الشيفرة
curl --request GET \ --url https://api.pressmonitor.com/reddit/v1/new-subreddits const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/reddit/v1/new-subreddits", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/reddit/v1/new-subreddits" response = requests.request("GET", url) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/reddit/v1/new-subreddits", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/reddit/v1/new-subreddits") .get() .build(); Response response = client.newCall(request).execute(); الردود
200 نجاح
GET
/popular-posts المنشورات الشهيرة
Popular Posts
أمثلة الشيفرة
curl --request GET \ --url https://api.pressmonitor.com/reddit/v1/popular-posts const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/reddit/v1/popular-posts", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/reddit/v1/popular-posts" response = requests.request("GET", url) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/reddit/v1/popular-posts", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/reddit/v1/popular-posts") .get() .build(); Response response = client.newCall(request).execute(); الردود
200 نجاح
GET
/popular-subreddits المجتمعات الفرعية الشهيرة
Popular Subreddits
أمثلة الشيفرة
curl --request GET \ --url https://api.pressmonitor.com/reddit/v1/popular-subreddits const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/reddit/v1/popular-subreddits", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/reddit/v1/popular-subreddits" response = requests.request("GET", url) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/reddit/v1/popular-subreddits", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/reddit/v1/popular-subreddits") .get() .build(); Response response = client.newCall(request).execute(); الردود
200 نجاح
GET
/post-details تفاصيل المنشور
Post Details
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| post_url | string | query | نعم | رابط المنشور |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/reddit/v1/post-details?post_url=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/reddit/v1/post-details?post_url=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/reddit/v1/post-details" querystring = {"post_url":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/reddit/v1/post-details?post_url=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/reddit/v1/post-details?post_url=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
200 نجاح
GET
/posts-by-subreddit المنشورات حسب المجتمع الفرعي
Posts By Subreddit
أمثلة الشيفرة
curl --request GET \ --url https://api.pressmonitor.com/reddit/v1/posts-by-subreddit const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/reddit/v1/posts-by-subreddit", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/reddit/v1/posts-by-subreddit" response = requests.request("GET", url) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/reddit/v1/posts-by-subreddit", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/reddit/v1/posts-by-subreddit") .get() .build(); Response response = client.newCall(request).execute(); الردود
200 نجاح
GET
/posts-by-username المنشورات حسب اسم المستخدم
Posts By Username
أمثلة الشيفرة
curl --request GET \ --url https://api.pressmonitor.com/reddit/v1/posts-by-username const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/reddit/v1/posts-by-username", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/reddit/v1/posts-by-username" response = requests.request("GET", url) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/reddit/v1/posts-by-username", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/reddit/v1/posts-by-username") .get() .build(); Response response = client.newCall(request).execute(); الردود
200 نجاح
GET
/rising-popular-posts المنشورات الشهيرة الصاعدة
Rising Popular Posts
أمثلة الشيفرة
curl --request GET \ --url https://api.pressmonitor.com/reddit/v1/rising-popular-posts const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/reddit/v1/rising-popular-posts", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/reddit/v1/rising-popular-posts" response = requests.request("GET", url) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/reddit/v1/rising-popular-posts", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/reddit/v1/rising-popular-posts") .get() .build(); Response response = client.newCall(request).execute(); الردود
200 نجاح
GET
/search-posts البحث في المنشورات
Search Posts
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| query | string | query | نعم | استعلام البحث |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/reddit/v1/search-posts?query=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/reddit/v1/search-posts?query=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/reddit/v1/search-posts" querystring = {"query":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/reddit/v1/search-posts?query=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/reddit/v1/search-posts?query=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
200 نجاح
GET
/search-subreddits البحث في المجتمعات الفرعية
Search Subreddits
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| query | string | query | نعم | استعلام البحث |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/reddit/v1/search-subreddits?query=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/reddit/v1/search-subreddits?query=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/reddit/v1/search-subreddits" querystring = {"query":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/reddit/v1/search-subreddits?query=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/reddit/v1/search-subreddits?query=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
200 نجاح
GET
/top-comments-by-username أفضل التعليقات حسب اسم المستخدم
Top Comments By Username
أمثلة الشيفرة
curl --request GET \ --url https://api.pressmonitor.com/reddit/v1/top-comments-by-username const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/reddit/v1/top-comments-by-username", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/reddit/v1/top-comments-by-username" response = requests.request("GET", url) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/reddit/v1/top-comments-by-username", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/reddit/v1/top-comments-by-username") .get() .build(); Response response = client.newCall(request).execute(); الردود
200 نجاح
GET
/top-popular-posts أفضل المنشورات الشهيرة
Top Popular Posts
أمثلة الشيفرة
curl --request GET \ --url https://api.pressmonitor.com/reddit/v1/top-popular-posts const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/reddit/v1/top-popular-posts", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/reddit/v1/top-popular-posts" response = requests.request("GET", url) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/reddit/v1/top-popular-posts", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/reddit/v1/top-popular-posts") .get() .build(); Response response = client.newCall(request).execute(); الردود
200 نجاح
GET
/top-posts-by-username أفضل المنشورات حسب اسم المستخدم
Top Posts By Username
أمثلة الشيفرة
curl --request GET \ --url https://api.pressmonitor.com/reddit/v1/top-posts-by-username const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/reddit/v1/top-posts-by-username", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/reddit/v1/top-posts-by-username" response = requests.request("GET", url) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/reddit/v1/top-posts-by-username", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/reddit/v1/top-posts-by-username") .get() .build(); Response response = client.newCall(request).execute(); الردود
200 نجاح
/comments-by-usernameالتعليقات حسب اسم المستخدم
Comments By Username
أمثلة الشيفرة
الردود